#
# spec file for package mh (Version 6.8.4debian28)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  db-devel te_latex tetex
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db db-devel devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit te_ams te_latex tetex texinfo textutils timezone unzip util-linux vim

Name:         mh
Copyright:    1999 - not specified
Group:        Applications/Mail
Provides:     mh 
Requires:     less
Autoreqprov:  on
Version:      6.8.4debian28
Release:      267
Summary:      Unix Mail Handler
Source: mh-6.8.tar.bz2
Patch0: MH.6.8.4.bz2
Patch1: mh_6.8.4-28.diff.bz2
Patch2: mh-6.8.4.dif

%description
MH is a popular mail handling system but includes only a command
line interface.  This disadvantage is on the other hand its
most advantage over other graphical mail systems.

Authors:
--------
    Michael Alan Dorman <mdorman@calder.med.miami.edu>
    David Morris <bweaver@worf.netins.net>
    Philip Hands <phil@hands.com>
    Adam P. Harris <aph@debian.org>

SuSE series: n

%prep
  tar xfI $RPM_SOURCE_DIR/mh-6.8.tar.bz2
  (
    cd mh-6.8.3/;
    bunzip2 -dc $RPM_SOURCE_DIR/MH.6.8.4.bz2 | patch -p0 -s
    find . -name '*.orig' -exec rm -f '{}' \;
  )
  mv mh-6.8.3 mh-6.8.4
  [ -n "`find $RPM_BUILD_DIR/mh-6.8.4 -name '*.rej'`" ] && exit 1
%setup -T -D -n mh-6.8.4
%patch1 -p1 -b .debian
%patch2 -p0 -b .suse

%build
  make -f Makefile.Linux compile

%install
# set +o posix
# touch /tmp/bstamp; sleep 1; sync
  #
  make -f Makefile.Linux install
  Check
  #
# touch /tmp/estamp; sleep 1; sync
# find / -depth \( -newer /tmp/bstamp -a \( -not -newer /tmp/estamp \) \) -a \( \
#	\( \( \( -not -type d \) -a \( -not -type l \) \) -printf '%%p\n' \) -o \
#	\( -type d -printf '%%p/\n' \) -o \( -type l -printf '%%p\n'  \) \)  >  \
#	>(sort -t /|grep -vE '^(/tmp|/proc|/usr/src/packages)' > /tmp/mh-list)
# rm /tmp/estamp /tmp/bstamp

%files
%dir /usr/bin/mh/
/usr/bin/mh/ali
/usr/bin/mh/anno
/usr/bin/mh/burst
/usr/bin/mh/comp
/usr/bin/mh/dist
/usr/bin/mh/folder
/usr/bin/mh/folders
/usr/bin/mh/forw
/usr/bin/mh/inc
/usr/bin/mh/mark
/usr/bin/mh/mhmail
/usr/bin/mh/mhn
/usr/bin/mh/mhparam
/usr/bin/mh/mhpath
/usr/bin/mh/msgchk
/usr/bin/mh/msh
/usr/bin/mh/next
/usr/bin/mh/packf
/usr/bin/mh/pick
/usr/bin/mh/prev
/usr/bin/mh/prompter
/usr/bin/mh/refile
/usr/bin/mh/repl
/usr/bin/mh/rmf
/usr/bin/mh/rmm
/usr/bin/mh/scan
/usr/bin/mh/send
/usr/bin/mh/show
/usr/bin/mh/sortm
/usr/bin/mh/vmh
/usr/bin/mh/whatnow
/usr/bin/mh/whom
%docdir /usr/share/doc/packages/mh/
%doc /usr/share/doc/packages/mh/ADMIN.doc
%doc /usr/share/doc/packages/mh/CHANGES
%doc /usr/share/doc/packages/mh/FAQ
%doc /usr/share/doc/packages/mh/MH.doc
%doc /usr/share/doc/packages/mh/READ-ME
%doc /usr/share/doc/packages/mh/debian.copyright
%docdir /usr/share/doc/packages/mh/papers/
%docdir /usr/share/doc/packages/mh/papers/bboards/
%doc /usr/share/doc/packages/mh/papers/bboards/bboards.dvi
%docdir /usr/share/doc/packages/mh/papers/beginners/
%doc /usr/share/doc/packages/mh/papers/beginners/beginners.dvi
%docdir /usr/share/doc/packages/mh/papers/mh4/
%doc /usr/share/doc/packages/mh/papers/mh4/mh4.dvi
%docdir /usr/share/doc/packages/mh/papers/mh4mm/
%doc /usr/share/doc/packages/mh/papers/mh4mm/mh4mm.dvi
%docdir /usr/share/doc/packages/mh/papers/mh5/
%doc /usr/share/doc/packages/mh/papers/mh5/mh5.dvi
%docdir /usr/share/doc/packages/mh/papers/mh6.5/
%doc /usr/share/doc/packages/mh/papers/mh6.5/mh6.dvi
%docdir /usr/share/doc/packages/mh/papers/multifarious/
%doc /usr/share/doc/packages/mh/papers/multifarious/multifarious.dvi
%docdir /usr/share/doc/packages/mh/papers/mznet/
%doc /usr/share/doc/packages/mh/papers/mznet/mznet.dvi
%docdir /usr/share/doc/packages/mh/papers/realwork/
%doc /usr/share/doc/packages/mh/papers/realwork/realwork.dvi
%docdir /usr/share/doc/packages/mh/papers/trusted/
%doc /usr/share/doc/packages/mh/papers/trusted/trusted.dvi
%docdir /usr/share/doc/packages/mh/papers/tutorial/
%doc /usr/share/doc/packages/mh/papers/tutorial/tutorial.dvi
%docdir /usr/share/doc/packages/mh/scripts/
%doc /usr/share/doc/packages/mh/scripts/README.ascii
%doc /usr/share/doc/packages/mh/scripts/README.html
%doc /usr/share/doc/packages/mh/scripts/pgpmail.mh
/usr/lib/libmh.so.3.2
%dir /usr/lib/mh/
/usr/lib/mh/MailAliases
/usr/lib/mh/ap
/usr/lib/mh/components
/usr/lib/mh/conflict
/usr/lib/mh/digestcomps
/usr/lib/mh/distcomps
/usr/lib/mh/dp
/usr/lib/mh/fmtdump
/usr/lib/mh/forwcomps
/usr/lib/mh/install-mh
/usr/lib/mh/mhl
/usr/lib/mh/mhl.body
/usr/lib/mh/mhl.digest
/usr/lib/mh/mhl.format
/usr/lib/mh/mhl.forward
/usr/lib/mh/mhl.headers
/usr/lib/mh/mhl.reply
/usr/lib/mh/mhn_defaults
/usr/lib/mh/mtstailor
/usr/lib/mh/packmbox
/usr/lib/mh/popaka
/usr/lib/mh/popd
/usr/lib/mh/popwrd
/usr/lib/mh/post
/usr/lib/mh/rcvdist
/usr/lib/mh/rcvdistcomps
/usr/lib/mh/rcvpack
/usr/lib/mh/rcvstore
/usr/lib/mh/rcvtty
/usr/lib/mh/replcomps
/usr/lib/mh/scan.default
/usr/lib/mh/scan.mailx
/usr/lib/mh/scan.size
/usr/lib/mh/scan.time
/usr/lib/mh/scan.timely
/usr/lib/mh/slocal
/usr/lib/mh/spop
/usr/lib/mh/spost
/usr/lib/mh/tmac.h
/usr/lib/mh/viamail
%doc /usr/share/man/man1/ali.1mh.gz
%doc /usr/share/man/man1/anno.1mh.gz
%doc /usr/share/man/man1/burst.1mh.gz
%doc /usr/share/man/man1/comp.1mh.gz
%doc /usr/share/man/man1/dist.1mh.gz
%doc /usr/share/man/man1/folder.1mh.gz
%doc /usr/share/man/man1/forw.1mh.gz
%doc /usr/share/man/man1/inc.1mh.gz
%doc /usr/share/man/man1/mark.1mh.gz
%doc /usr/share/man/man1/mh-chart.1mh.gz
%doc /usr/share/man/man1/mh.1mh.gz
%doc /usr/share/man/man1/mhl.1mh.gz
%doc /usr/share/man/man1/mhmail.1mh.gz
%doc /usr/share/man/man1/mhn.1mh.gz
%doc /usr/share/man/man1/mhook.1mh.gz
%doc /usr/share/man/man1/mhparam.1mh.gz
%doc /usr/share/man/man1/mhpath.1mh.gz
%doc /usr/share/man/man1/msgchk.1mh.gz
%doc /usr/share/man/man1/msh.1mh.gz
%doc /usr/share/man/man1/next.1mh.gz
%doc /usr/share/man/man1/packf.1mh.gz
%doc /usr/share/man/man1/pick.1mh.gz
%doc /usr/share/man/man1/prev.1mh.gz
%doc /usr/share/man/man1/prompter.1mh.gz
%doc /usr/share/man/man1/rcvstore.1mh.gz
%doc /usr/share/man/man1/refile.1mh.gz
%doc /usr/share/man/man1/repl.1mh.gz
%doc /usr/share/man/man1/rmf.1mh.gz
%doc /usr/share/man/man1/rmm.1mh.gz
%doc /usr/share/man/man1/scan.1mh.gz
%doc /usr/share/man/man1/send.1mh.gz
%doc /usr/share/man/man1/show.1mh.gz
%doc /usr/share/man/man1/slocal.1mh.gz
%doc /usr/share/man/man1/sortm.1mh.gz
%doc /usr/share/man/man1/vmh.1mh.gz
%doc /usr/share/man/man1/whatnow.1mh.gz
%doc /usr/share/man/man1/whom.1mh.gz
%doc /usr/share/man/man5/mh-alias.5mh.gz
%doc /usr/share/man/man5/mh-format.5mh.gz
%doc /usr/share/man/man5/mh-mail.5mh.gz
%doc /usr/share/man/man5/mh-profile.5mh.gz
%doc /usr/share/man/man5/mh-sequence.5mh.gz
%doc /usr/share/man/man5/mh-tailor.5mh.gz
%doc /usr/share/man/man8/ap.8mh.gz
%doc /usr/share/man/man8/conflict.8mh.gz
%doc /usr/share/man/man8/dp.8mh.gz
%doc /usr/share/man/man8/fmtdump.8mh.gz
%doc /usr/share/man/man8/install-mh.8mh.gz
%doc /usr/share/man/man8/post.8mh.gz

%changelog -n mh
* Tue May 08 2001 - mfabian@suse.de
- bzip2 sources
* Wed Nov 08 2000 - ro@suse.de
- neededforbuild db-devel
* Sat May 27 2000 - kukuk@suse.de
- /usr/doc -> /usr/share/doc
* Wed Mar 08 2000 - werner@suse.de
- Update to Debian patch 28 to fetch security fixes
* Mon Jan 31 2000 - werner@suse.de
- /usr/man -> /usr/share/man
* Mon Jan 31 2000 - werner@suse.de
- Fix libc6/libc5 distinguishing
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Mar 23 1999 - ro@suse.de
- smail.c : break up macro congestion with strlen
* Thu Nov 05 1998 - ro@suse.de
- ignore errors from tar when packing the dvi-manuals
* Tue Sep 08 1998 - werner@suse.de
- Bug fixed: mail spool was unlocked twice in uip/inc.c
  Thanks to Andreas Gerstlauer (gerstlauer@ics.uci.edu)
* Tue Jun 30 1998 - werner@suse.de
- New debian version mh_6.8.4-25
- Use original sources MH.6.8.4.gz mh-6.8.tar.gz
- No suid root pop service
- Some changes to avoid nasty messages about missing casts
* Thu Jun 12 1997 - werner@suse.de
- New debian version mh_6.8.4-8
  (hey: now man pages are called *.[1,5,8]mh)
- no sgid mail anymore (/usr/bin/mh/{inc,msgchk})
  _and_ NO suid root (only used for pop service).
- removed pgp{ed,show}
- added pgpmail.mh in /usr/doc/packages/mh/scripts/
* Thu Jan 02 1997 - 
  no sgid mail anymore.
* Thu Jan 02 1997 - 
- "pop-3" -> "pop3" fix.
* Thu Jan 02 1997 - werner@suse.de
- Anpassung von debian-Paket mh_6.8.4-2
  * Pager ist less
  * Shadow passwd fr popd, das auch unter NIS arbeitet
  * Ich hab' keine Ahnung, wie mh, pop, etc. zu konfigurieren
  ist -- _konstruktiver_ feedback willkommen.
  Die Doku befindet sich unter /usr/doc/packages/mh/.
  Man beachte die Konfiguration /usr/lib/mh/,
  speziell /usr/lib/mh/mtstailor.
